__ __ __ __ _____ _ _ _____ _ _ _ | \/ | \ \ / / | __ \ (_) | | / ____| | | | | | \ / |_ __\ V / | |__) | __ ___ ____ _| |_ ___ | (___ | |__ ___| | | | |\/| | '__|> < | ___/ '__| \ \ / / _` | __/ _ \ \___ \| '_ \ / _ \ | | | | | | |_ / . \ | | | | | |\ V / (_| | || __/ ____) | | | | __/ | | |_| |_|_(_)_/ \_\ |_| |_| |_| \_/ \__,_|\__\___| |_____/|_| |_|\___V 2.1 if you need WebShell for Seo everyday contact me on Telegram Telegram Address : @jackleetFor_More_Tools:
#!/bin/bash
set -e
# we need to set lastpipe so we can read the signers into the signers array below
shopt -s lastpipe
exit=0
quiet=""
if [ "$1" = "-q" ]; then
quiet=true
shift
fi
compress_type() {
local file="$1"
magic="$(od -x -N2 "$file" | head -1 | cut -d' ' -f2)"
case $magic in
8b1f)
echo "gzip"
;;
*)
echo "none"
;;
esac
}
for signed_binary in "$@"; do
if [ ! -e "$signed_binary" ]; then
echo "E: $signed_binary: file not found">&2
exit=1
continue
fi
if [ "$(compress_type "$signed_binary")" = "gzip" ]; then
_signed_binary="$(mktemp)"
trap 'rm -f "$_signed_binary"' EXIT
gunzip < "$signed_binary" > "$_signed_binary"
else
_signed_binary="$signed_binary"
fi
sbverify --list "$_signed_binary" | grep subject: | grep -E -o "CN=([^/]|\\/)*" | readarray -t signers
if [ -z "$signers" ]; then
echo "E: $signed_binary: Could not find signing subject, sbverify output follows:">&2
sbverify --list "$_signed_binary" >&2
exit=1
continue
fi
for signer in "${signers[@]}"; do
revoked=$(grep -xF "$signer" << EOF
CN=Canonical Ltd. Secure Boot Signing
CN=Canonical Ltd. Secure Boot Signing (2017)
CN=Canonical Ltd. Secure Boot Signing (ESM 2018)
CN=Canonical Ltd. Secure Boot Signing (2019)
CN=Canonical Ltd. Secure Boot Signing (Ubuntu Core 2019)
CN=Canonical Ltd. Secure Boot Signing (2021 v1)
CN=Canonical Ltd. Secure Boot Signing (2021 v2)
CN=Canonical Ltd. Secure Boot Signing (2021 v3)
EOF
) || true
if [ "$revoked" ]; then
if [ -z "$quiet" ]; then
echo "E: $signed_binary: revoked key $revoked used">&2
fi
exit=1
fi
done
done
exit $exit
| Name | Type | Size | Permission | Actions |
|---|---|---|---|---|
| mok | Folder | 0755 |
|
|
| BOOTX64.CSV | File | 108 B | 0644 |
|
| fbx64.efi | File | 86.27 KB | 0644 |
|
| is-not-revoked | File | 1.58 KB | 0755 |
|
| mmx64.efi | File | 836.21 KB | 0644 |
|
| shimx64.efi | File | 934.61 KB | 0644 |
|
| shimx64.efi.dualsigned | File | 945.99 KB | 0644 |
|
| shimx64.efi.signed | File | 944.11 KB | 0644 |
|
| shimx64.efi.signed.latest | File | 944.11 KB | 0644 |
|
| shimx64.efi.signed.previous | File | 933.26 KB | 0644 |
|
| shimx64.nx.efi | File | 934.61 KB | 0644 |
|
| shimx64.nx.efi.signed.latest | File | 944.13 KB | 0644 |
|